OpenShot Audio Library | OpenShotAudio: juce::SingleThreadedReferenceCountedObject Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
juce::SingleThreadedReferenceCountedObject Class Reference

`#include <juce_ReferenceCountedObject.h>`

Inherited by juce::Expression::Term.

## Public Member Functions
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Protected Member Functions
| SingleThreadedReferenceCountedObject ()=default
| SingleThreadedReferenceCountedObject (const SingleThreadedReferenceCountedObject &)
| SingleThreadedReferenceCountedObject (SingleThreadedReferenceCountedObject &&)
SingleThreadedReferenceCountedObject & | operator= (const SingleThreadedReferenceCountedObject &)
SingleThreadedReferenceCountedObject & | operator= (SingleThreadedReferenceCountedObject &&)
virtual | ~SingleThreadedReferenceCountedObject ()

## Detailed Description

Adds reference-counting to an object.

This is effectively a version of the ReferenceCountedObject class, but which uses a non-atomic counter, and so is not thread-safe (but which will be more efficient). For more details on how to use it, see the ReferenceCountedObject class notes.

See also
  ReferenceCountedObject, ReferenceCountedObjectPtr, ReferenceCountedArray

Definition at line 153 of file juce_ReferenceCountedObject.h.

## Constructor & Destructor Documentation

## ◆ SingleThreadedReferenceCountedObject() [1/3]

juce::SingleThreadedReferenceCountedObject::SingleThreadedReferenceCountedObject | ( |  | ) |
| protecteddefault

Creates the reference-counted object (with an initial ref count of zero).

## ◆ SingleThreadedReferenceCountedObject() [2/3]

juce::SingleThreadedReferenceCountedObject::SingleThreadedReferenceCountedObject | ( | const SingleThreadedReferenceCountedObject & |  | ) |
| inlineprotected

Copying from another object does not affect this one's reference-count.

Definition at line 198 of file juce_ReferenceCountedObject.h.

## ◆ SingleThreadedReferenceCountedObject() [3/3]

juce::SingleThreadedReferenceCountedObject::SingleThreadedReferenceCountedObject | ( | SingleThreadedReferenceCountedObject && |  | ) |
| inlineprotected

Copying from another object does not affect this one's reference-count.

Definition at line 200 of file juce_ReferenceCountedObject.h.

## ◆ ~SingleThreadedReferenceCountedObject()

virtual juce::SingleThreadedReferenceCountedObject::~SingleThreadedReferenceCountedObject | ( |  | ) |
| inlineprotectedvirtual

Destructor.

Definition at line 207 of file juce_ReferenceCountedObject.h.

## Member Function Documentation

## ◆ decReferenceCount()

void juce::SingleThreadedReferenceCountedObject::decReferenceCount | ( |  | ) |
| inlinenoexcept

Decreases the object's reference count. If the count gets to zero, the object will be deleted.

Definition at line 170 of file juce_ReferenceCountedObject.h.

## ◆ decReferenceCountWithoutDeleting()

bool juce::SingleThreadedReferenceCountedObject::decReferenceCountWithoutDeleting | ( |  | ) |
| inlinenoexcept

Decreases the object's reference count. If the count gets to zero, the object will not be deleted, but this method will return true, allowing the caller to take care of deletion.

Definition at line 182 of file juce_ReferenceCountedObject.h.

## ◆ getReferenceCount()

int juce::SingleThreadedReferenceCountedObject::getReferenceCount | ( |  | ) | const
| inlinenoexcept

Returns the object's current reference count.

Definition at line 189 of file juce_ReferenceCountedObject.h.

## ◆ incReferenceCount()

void juce::SingleThreadedReferenceCountedObject::incReferenceCount | ( |  | ) |
| inlinenoexcept

Increments the object's reference count.

This is done automatically by the smart pointer, but is public just in case it's needed for nefarious purposes.

Definition at line 162 of file juce_ReferenceCountedObject.h.

## ◆ operator=() [1/2]

SingleThreadedReferenceCountedObject & juce::SingleThreadedReferenceCountedObject::operator= | ( | const SingleThreadedReferenceCountedObject & |  | ) |
| inlineprotected

Copying from another object does not affect this one's reference-count.

Definition at line 202 of file juce_ReferenceCountedObject.h.

## ◆ operator=() [2/2]

SingleThreadedReferenceCountedObject & juce::SingleThreadedReferenceCountedObject::operator= | ( | SingleThreadedReferenceCountedObject && |  | ) |
| inlineprotected

Copying from another object does not affect this one's reference-count.

Definition at line 204 of file juce_ReferenceCountedObject.h.

The documentation for this class was generated from the following file:

- juce_ReferenceCountedObject.h